
#include "dcquickconnect.h"

DCQuickConnect::DCQuickConnect(QWidget *parent): QDialog(parent)
{
	setupUi(this);

        disconnect(buttonBox, SIGNAL(accepted()), this, SLOT(accept()));
        connect(buttonBox, SIGNAL(accepted()), this, SLOT(slotAccept()));

        lineEdit_HUBNAME->setFocus();
}

DCQuickConnect::~DCQuickConnect()
{

}

void DCQuickConnect::slotAccept()
{
    QString hub = lineEdit_HUBNAME->text();

    if (hub != "")
        g_pConnectionManager->Connect(CString(), hub.toAscii().constData());

    accept();
}

